-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 27, 2024 at 06:46 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `lo_zoo`
--

-- --------------------------------------------------------

--
-- Table structure for table `animali`
--

CREATE TABLE `animali` (
  `ID_Animale` int(5) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `data_nascita` date NOT NULL,
  `colore` varchar(50) NOT NULL,
  `ID_Specie` int(5) NOT NULL,
  `ID_Settore` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `animali`
--

INSERT INTO `animali` (`ID_Animale`, `nome`, `data_nascita`, `colore`, `ID_Specie`, `ID_Settore`) VALUES
(1, 'Axolotl', '2007-12-14', 'Blue', 1, 1),
(2, 'Axolotl', '2018-03-30', 'Verde', 1, 5),
(3, 'Carpa Koi', '2017-12-07', 'Rosso', 3, 1),
(4, 'San Bernardo', '2024-03-13', 'Bianco', 4, 4);

-- --------------------------------------------------------

--
-- Table structure for table `classi`
--

CREATE TABLE `classi` (
  `ID_Classe` int(5) NOT NULL,
  `nome` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `classi`
--

INSERT INTO `classi` (`ID_Classe`, `nome`) VALUES
(1, 'Mammiferi'),
(2, 'Uccelli'),
(4, 'Rettili'),
(5, 'Anfibi'),
(6, 'Pesci');

-- --------------------------------------------------------

--
-- Table structure for table `settori`
--

CREATE TABLE `settori` (
  `ID_Settore` int(5) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `posizione` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `settori`
--

INSERT INTO `settori` (`ID_Settore`, `nome`, `posizione`) VALUES
(1, 'Acquario', 'Nord'),
(2, 'Rettilario', 'Ovest'),
(3, 'Zona Tropicale', 'Sud'),
(4, 'Zona Temperata', 'Nord'),
(5, 'Acquario 2', 'Est');

-- --------------------------------------------------------

--
-- Table structure for table `specie`
--

CREATE TABLE `specie` (
  `ID_Specie` int(5) NOT NULL,
  `nome` varchar(50) NOT NULL,
  `descrizione` varchar(100) NOT NULL,
  `cibo_preferito` varchar(50) NOT NULL,
  `ID_Classe` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `specie`
--

INSERT INTO `specie` (`ID_Specie`, `nome`, `descrizione`, `cibo_preferito`, `ID_Classe`) VALUES
(1, 'A. mexicanum', 'Un pesce molto bello e strano', 'Alghe', 6),
(3, 'Cyprinus carpio', 'La specie delle carpe', 'Insetti', 6),
(4, 'Canis Lupus', 'Un mammifero tipo cane', 'Carne', 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `animali`
--
ALTER TABLE `animali`
  ADD PRIMARY KEY (`ID_Animale`),
  ADD KEY `settore_f` (`ID_Settore`),
  ADD KEY `specie_f` (`ID_Specie`);

--
-- Indexes for table `classi`
--
ALTER TABLE `classi`
  ADD PRIMARY KEY (`ID_Classe`);

--
-- Indexes for table `settori`
--
ALTER TABLE `settori`
  ADD PRIMARY KEY (`ID_Settore`);

--
-- Indexes for table `specie`
--
ALTER TABLE `specie`
  ADD PRIMARY KEY (`ID_Specie`),
  ADD KEY `classe_f` (`ID_Classe`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `animali`
--
ALTER TABLE `animali`
  MODIFY `ID_Animale` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `classi`
--
ALTER TABLE `classi`
  MODIFY `ID_Classe` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `settori`
--
ALTER TABLE `settori`
  MODIFY `ID_Settore` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `specie`
--
ALTER TABLE `specie`
  MODIFY `ID_Specie` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `animali`
--
ALTER TABLE `animali`
  ADD CONSTRAINT `settore_f` FOREIGN KEY (`ID_Settore`) REFERENCES `settori` (`ID_Settore`),
  ADD CONSTRAINT `specie_f` FOREIGN KEY (`ID_Specie`) REFERENCES `specie` (`ID_Specie`);

--
-- Constraints for table `specie`
--
ALTER TABLE `specie`
  ADD CONSTRAINT `classe_f` FOREIGN KEY (`ID_Classe`) REFERENCES `classi` (`ID_Classe`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
