-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 30, 2024 at 02:40 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `il_fantacalcio`
--

-- --------------------------------------------------------

--
-- Table structure for table `giocatori`
--

CREATE TABLE `giocatori` (
  `ID_Giocatore` int(5) NOT NULL,
  `Nome` varchar(30) NOT NULL,
  `Cognome` varchar(40) NOT NULL,
  `Data_nascita` date NOT NULL,
  `Eta` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `giocatori`
--

INSERT INTO `giocatori` (`ID_Giocatore`, `Nome`, `Cognome`, `Data_nascita`, `Eta`) VALUES
(1, 'Francesco', 'Totti', '2014-03-05', 10),
(2, 'Luca', 'Cifone', '1999-03-16', 25),
(3, 'Tommaso', 'Del Grosso', '2009-03-03', 15),
(4, 'Fabio', 'Larosa', '2006-07-14', 18);

-- --------------------------------------------------------

--
-- Table structure for table `partite`
--

CREATE TABLE `partite` (
  `ID_Squadra_casa` int(5) NOT NULL,
  `ID_Squadra_ospite` int(5) NOT NULL,
  `data` date NOT NULL,
  `goal_squadra_casa` int(5) NOT NULL,
  `goal_squadra_ospite` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `partite`
--

INSERT INTO `partite` (`ID_Squadra_casa`, `ID_Squadra_ospite`, `data`, `goal_squadra_casa`, `goal_squadra_ospite`) VALUES
(1, 4, '2019-03-06', 2, 0),
(1, 4, '2020-03-06', 2, 2),
(2, 1, '2019-12-02', 1, 2),
(2, 3, '2017-03-07', 7, 4),
(5, 7, '2024-01-12', 2, 2),
(7, 5, '2022-06-02', 0, 0);

-- --------------------------------------------------------

--
-- Table structure for table `squadre`
--

CREATE TABLE `squadre` (
  `ID_Squadra` int(11) NOT NULL,
  `Nome_squadra` varchar(30) NOT NULL,
  `Citta` varchar(50) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `squadre`
--

INSERT INTO `squadre` (`ID_Squadra`, `Nome_squadra`, `Citta`) VALUES
(1, 'Inter', 'Milano'),
(2, 'Milan', 'Milano'),
(3, 'Napoli', 'Napoli'),
(4, 'Juventus', 'Torino'),
(5, 'Torino', 'Torino'),
(6, 'Lazio', 'Roma'),
(7, 'Roma', 'Roma');

-- --------------------------------------------------------

--
-- Table structure for table `storico_squadre`
--

CREATE TABLE `storico_squadre` (
  `ID_Squadra` int(5) NOT NULL,
  `ID_Giocatore` int(5) NOT NULL,
  `data_inizio` date NOT NULL,
  `data_fine` date DEFAULT NULL,
  `attuale` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `storico_squadre`
--

INSERT INTO `storico_squadre` (`ID_Squadra`, `ID_Giocatore`, `data_inizio`, `data_fine`, `attuale`) VALUES
(1, 2, '2019-03-04', '2024-03-13', 0),
(2, 3, '2015-03-09', '2016-03-02', 0),
(5, 3, '2017-03-14', '2021-06-12', 0),
(5, 1, '2019-03-07', NULL, 1),
(6, 4, '2024-03-13', NULL, 1);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `giocatori`
--
ALTER TABLE `giocatori`
  ADD PRIMARY KEY (`ID_Giocatore`);

--
-- Indexes for table `partite`
--
ALTER TABLE `partite`
  ADD PRIMARY KEY (`ID_Squadra_casa`,`ID_Squadra_ospite`,`data`),
  ADD KEY `id_squadra_ospite_f` (`ID_Squadra_ospite`);

--
-- Indexes for table `squadre`
--
ALTER TABLE `squadre`
  ADD PRIMARY KEY (`ID_Squadra`);

--
-- Indexes for table `storico_squadre`
--
ALTER TABLE `storico_squadre`
  ADD KEY `giocatore_f` (`ID_Giocatore`),
  ADD KEY `squadra_f` (`ID_Squadra`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `giocatori`
--
ALTER TABLE `giocatori`
  MODIFY `ID_Giocatore` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `squadre`
--
ALTER TABLE `squadre`
  MODIFY `ID_Squadra` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `partite`
--
ALTER TABLE `partite`
  ADD CONSTRAINT `id_squadra_casa_f` FOREIGN KEY (`ID_Squadra_casa`) REFERENCES `squadre` (`ID_Squadra`),
  ADD CONSTRAINT `id_squadra_ospite_f` FOREIGN KEY (`ID_Squadra_ospite`) REFERENCES `squadre` (`ID_Squadra`);

--
-- Constraints for table `storico_squadre`
--
ALTER TABLE `storico_squadre`
  ADD CONSTRAINT `giocatore_f` FOREIGN KEY (`ID_Giocatore`) REFERENCES `giocatori` (`ID_Giocatore`),
  ADD CONSTRAINT `squadra_f` FOREIGN KEY (`ID_Squadra`) REFERENCES `squadre` (`ID_Squadra`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
