-- phpMyAdmin SQL Dump
-- version 5.2.0
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Mar 31, 2024 at 04:25 PM
-- Server version: 10.4.27-MariaDB
-- PHP Version: 8.2.0

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `olimpiadi_scolastiche`
--

-- --------------------------------------------------------

--
-- Table structure for table `classi`
--

CREATE TABLE `classi` (
  `ID_Classe` int(5) NOT NULL,
  `nome` varchar(30) NOT NULL,
  `numero_studenti` int(5) NOT NULL,
  `aula` varchar(10) NOT NULL,
  `anno_scolastico` varchar(10) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `classi`
--

INSERT INTO `classi` (`ID_Classe`, `nome`, `numero_studenti`, `aula`, `anno_scolastico`) VALUES
(1, '5INF1', 18, '23', '2024-2025'),
(2, '4INF1', 17, '24', '2023-2024'),
(3, '3ME2', 12, '11', '2024-2025'),
(4, '4CAT1', 17, '15', '2022-2023');

-- --------------------------------------------------------

--
-- Table structure for table `olimpiadi`
--

CREATE TABLE `olimpiadi` (
  `ID_Olimpiade` int(5) NOT NULL,
  `data` date NOT NULL,
  `ID_Tipo_olimpiade` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `olimpiadi`
--

INSERT INTO `olimpiadi` (`ID_Olimpiade`, `data`, `ID_Tipo_olimpiade`) VALUES
(1, '2024-03-14', 2),
(2, '2024-03-04', 3),
(3, '2024-03-08', 1),
(4, '2023-03-04', 2),
(5, '2022-03-14', 1),
(6, '2024-03-13', 1);

-- --------------------------------------------------------

--
-- Table structure for table `posizioni_olimpiadi`
--

CREATE TABLE `posizioni_olimpiadi` (
  `ID_Classe` int(5) NOT NULL,
  `ID_Studente` int(5) NOT NULL,
  `ID_Olimpiade` int(5) NOT NULL,
  `punteggio` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `posizioni_olimpiadi`
--

INSERT INTO `posizioni_olimpiadi` (`ID_Classe`, `ID_Studente`, `ID_Olimpiade`, `punteggio`) VALUES
(3, 5, 4, 89),
(4, 4, 5, 79),
(4, 3, 6, 13),
(4, 3, 2, 78),
(2, 6, 3, 12),
(1, 1, 4, 99),
(1, 2, 5, 98);

-- --------------------------------------------------------

--
-- Table structure for table `studenti`
--

CREATE TABLE `studenti` (
  `ID_Studente` int(5) NOT NULL,
  `nome` varchar(30) NOT NULL,
  `cognome` varchar(50) NOT NULL,
  `eta` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `studenti`
--

INSERT INTO `studenti` (`ID_Studente`, `nome`, `cognome`, `eta`) VALUES
(1, 'Luca', 'Cifone', 5),
(2, 'Tommaso', 'Del Grosso', 12),
(3, 'Fabio ', 'Larosa', 17),
(4, 'Giovanni', 'Lombardino', 18),
(5, 'Andrea', 'Calzari', 23),
(6, 'Matteo ', 'Barban', 23),
(7, 'Riccardo', 'Piva', 18);

-- --------------------------------------------------------

--
-- Table structure for table `studenti_classi`
--

CREATE TABLE `studenti_classi` (
  `ID_Classe` int(5) NOT NULL,
  `ID_Studente` int(5) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `studenti_classi`
--

INSERT INTO `studenti_classi` (`ID_Classe`, `ID_Studente`) VALUES
(3, 5),
(4, 4),
(4, 3),
(2, 1),
(1, 1),
(1, 2),
(3, 7),
(2, 5),
(2, 6);

-- --------------------------------------------------------

--
-- Table structure for table `tipi_olimpiade`
--

CREATE TABLE `tipi_olimpiade` (
  `ID_Tipo_olimpiade` int(5) NOT NULL,
  `descrizione` varchar(30) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `tipi_olimpiade`
--

INSERT INTO `tipi_olimpiade` (`ID_Tipo_olimpiade`, `descrizione`) VALUES
(1, 'Matematica'),
(2, 'Fisica'),
(3, 'Informatica');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `classi`
--
ALTER TABLE `classi`
  ADD PRIMARY KEY (`ID_Classe`);

--
-- Indexes for table `olimpiadi`
--
ALTER TABLE `olimpiadi`
  ADD PRIMARY KEY (`ID_Olimpiade`),
  ADD KEY `tipo_f` (`ID_Tipo_olimpiade`);

--
-- Indexes for table `posizioni_olimpiadi`
--
ALTER TABLE `posizioni_olimpiadi`
  ADD KEY `olimpiadi_f` (`ID_Olimpiade`),
  ADD KEY `classe_f3` (`ID_Classe`),
  ADD KEY `studenti_f2` (`ID_Studente`);

--
-- Indexes for table `studenti`
--
ALTER TABLE `studenti`
  ADD PRIMARY KEY (`ID_Studente`);

--
-- Indexes for table `studenti_classi`
--
ALTER TABLE `studenti_classi`
  ADD KEY `classe_f` (`ID_Classe`),
  ADD KEY `studente_f` (`ID_Studente`);

--
-- Indexes for table `tipi_olimpiade`
--
ALTER TABLE `tipi_olimpiade`
  ADD PRIMARY KEY (`ID_Tipo_olimpiade`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `classi`
--
ALTER TABLE `classi`
  MODIFY `ID_Classe` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `olimpiadi`
--
ALTER TABLE `olimpiadi`
  MODIFY `ID_Olimpiade` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=7;

--
-- AUTO_INCREMENT for table `studenti`
--
ALTER TABLE `studenti`
  MODIFY `ID_Studente` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `tipi_olimpiade`
--
ALTER TABLE `tipi_olimpiade`
  MODIFY `ID_Tipo_olimpiade` int(5) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `olimpiadi`
--
ALTER TABLE `olimpiadi`
  ADD CONSTRAINT `tipo_f` FOREIGN KEY (`ID_Tipo_olimpiade`) REFERENCES `tipi_olimpiade` (`ID_Tipo_olimpiade`);

--
-- Constraints for table `posizioni_olimpiadi`
--
ALTER TABLE `posizioni_olimpiadi`
  ADD CONSTRAINT `classe_f3` FOREIGN KEY (`ID_Classe`) REFERENCES `classi` (`ID_Classe`),
  ADD CONSTRAINT `olimpiadi_f` FOREIGN KEY (`ID_Olimpiade`) REFERENCES `olimpiadi` (`ID_Olimpiade`),
  ADD CONSTRAINT `studenti_f2` FOREIGN KEY (`ID_Studente`) REFERENCES `studenti` (`ID_Studente`);

--
-- Constraints for table `studenti_classi`
--
ALTER TABLE `studenti_classi`
  ADD CONSTRAINT `classe_f` FOREIGN KEY (`ID_Classe`) REFERENCES `classi` (`ID_Classe`),
  ADD CONSTRAINT `studente_f` FOREIGN KEY (`ID_Studente`) REFERENCES `studenti` (`ID_Studente`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
